Splash pages
GET https://pixg.net/api/splash-pages/
curl --request GET \
--url 'https://pixg.net/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pixg.net/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Detalles | Descripción |
|---|---|---|
| search | Opcional Cadena | The search string. |
| search_by | Opcional Cadena | What field are you searching by. Allowed values are: name. |
| datetime_field | Opcional Cadena | Valores permitidos: datetime, last_datetime |
| datetime_start | Opcional Cadena | Filtrar resultados a partir de esta fecha y hora. Formato Y-m-d H:i:s. |
| datetime_end | Opcional Cadena | Filtrar resultados hasta esta fecha y hora. Formato Y-m-d H:i:s. |
| order_by | Opcional Cadena | What field to order the results by. Allowed values are: splash_page_id, datetime, last_datetime, name. |
| order_type | Opcional Cadena | El orden de los resultados. Los valores permitidos son: ASC para orden ascendente, y DESC para orden descendente. |
| page | Opcional Entero | The page number that you want results from. Defaults to 1. |
| results_per_page | Opcional Entero | How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-11-18 20:09:37"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://pixg.net/api/splash-pages?page=1",
"last": "https://pixg.net/api/splash-pages?page=1",
"next": null,
"prev": null,
"self": "https://pixg.net/api/splash-pages?page=1"
}
}
GET https://pixg.net/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://pixg.net/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pixg.net/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-11-18 20:09:37"
}
}
POST https://pixg.net/api/splash-pages
| Parameters | Detalles | Descripción |
|---|---|---|
| name | Requerido Cadena | - |
| title | Opcional Cadena | - |
| logo | Opcional File | - |
| favicon | Opcional File | - |
| opengraph | Opcional File | - |
| description | Opcional Cadena | - |
| secondary_button_name | Opcional Cadena | - |
| secondary_button_url | Opcional Cadena | - |
| custom_css | Opcional Cadena | - |
| custom_js | Opcional Cadena | - |
| ads_header | Opcional Cadena | - |
| ads_footer | Opcional Cadena | - |
| link_unlock_seconds | Opcional Entero | - |
| auto_redirect | Opcional Boolean | - |
curl --request POST \
--url 'https://pixg.net/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://pixg.net/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-11-18 20:09:37"
}
}
POST https://pixg.net/api/splash-pages/{splash_page_id}
| Parameters | Detalles | Descripción |
|---|---|---|
| name | Opcional Cadena | - |
| title | Opcional Cadena | - |
| logo | Opcional File | - |
| favicon | Opcional File | - |
| opengraph | Opcional File | - |
| description | Opcional Cadena | - |
| secondary_button_name | Opcional Cadena | - |
| secondary_button_url | Opcional Cadena | - |
| custom_css | Opcional Cadena | - |
| custom_js | Opcional Cadena | - |
| ads_header | Opcional Cadena | - |
| ads_footer | Opcional Cadena | - |
| link_unlock_seconds | Opcional Entero | - |
| auto_redirect | Opcional Boolean | - |
curl --request POST \
--url 'https://pixg.net/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://pixg.net/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-11-18 20:09:37"
}
}
DELETE https://pixg.net/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://pixg.net/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pixg.net/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \